#
# spec file for package tiff (Version 3.8.2)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils brp-check-internal bzip2 coreutils cpio cpp cpp42 cracklib cvs diffutils file filesystem fillup findutils gawk gcc gcc-c++ gcc42 gcc42-c++ gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libgcc42 libgomp42 libjpeg libjpeg-devel libltdl-3 libmudflap42 libreadline5 libstdc++42 libstdc++42-devel libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg pam pam-modules patch perl perl-base permissions popt post-build-checks rpm sed sysvinit tar texinfo timezone util-linux zlib zlib-devel


Name:           tiff
BuildRequires:  gcc-c++ libjpeg-devel zlib-devel
License:        X11/MIT
Group:          Productivity/Graphics/Convertors
AutoReqProv:    on
Url:            http://www.remotesensing.org/libtiff/
Version:        3.8.2
Release:        68.7
Summary:        Tools for Converting from and to the Tiff  Format
Source:         tiff-%{version}.tar.bz2
Source1:        jpegint.h
Source2:        README.SUSE
Patch2:         tiff-%{version}-seek.patch
Patch3:         tiff-%{version}-tiff2pdf.patch
Patch4:         tiff-%{version}-tiffsplit-CVE-2006-2656.patch
Patch5:         tiff-%{version}-tif_lzw.c-CVE-2008-2327.patch
Patch6:         tiff-%{version}-tif_lzw.c-CVE-2008-2327-2.patch
Patch7:         tiff-3.8.2-bnc444079.patch
Patch8:         tiff-3.8.2-lzw-CVE-2009-2285.patch
Patch9:         tiff-3.8.2-CVE-2009-2347.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains the library and support programs for the TIFF
image format.



Authors:
--------
    Sam Leffler <sam@engr.sgi.com>

%debug_package
%package -n libtiff3
License:        Any permissive; X11/MIT
Summary:        The Tiff Library (with JPEG and compression support)
Group:          System/Libraries
Provides:       libtiff = %{version}
Obsoletes:      libtiff <= %{version}
AutoReqProv:    on

%description -n libtiff3
This package includes the tiff libraries. To link a program with
libtiff, you will have to add -ljpeg and -lz to include the necessary
libjpeg and libz in the linking process.



Authors:
--------
    Sam Leffler <sam@engr.sgi.com>

%package -n libtiff-devel
License:        Any permissive
Summary:        Development Tools for Programs which will use the libtiff Library
Group:          Development/Libraries/C and C++
Requires:       libtiff3 = %{version} libjpeg-devel zlib-devel libstdc++-devel glibc-devel

%description -n libtiff-devel
This package contains the header files and static libraries for
developing programs which will manipulate TIFF format image files using
the libtiff library.



%prep
%setup -q 
%patch2
%patch3
%patch4
%patch5
%patch6
%patch7
%patch8
%patch9 -p1
cp %{S:1} libtiff
find -type d -name "CVS" | xargs rm -rfv
find -type d | xargs chmod 755

%build
rm m4/ltversion.m4 m4/ltsugar.m4 m4/ltoptions.m4 m4/libtool.m4
autoreconf --force --install -v
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing -fstack-protector" \
  ./configure --prefix=/usr --mandir=%{_mandir} --libdir=%{_libdir} --disable-static
make

%install
mkdir -p $RPM_BUILD_ROOT/{%{_mandir}/{man1,man3},usr/{bin,lib,include}}
make install DESTDIR=$RPM_BUILD_ROOT
for f in `find $RPM_BUILD_ROOT/%{_mandir} -type f -print ` ; do
  if [ `wc -l <$f` -eq 1 ] && grep -q "^\.so " $f ; then
    linkto=`sed -e "s|^\.so ||" $f`
    [ -f "`dirname $f`/$linkto" ] && ln -sf "$linkto" $f
  fi
done
cp %{S:2} .
rm -rf $RPM_BUILD_ROOT/usr/share/doc/tiff*
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la

%post -n libtiff3 -p /sbin/ldconfig

%postun -n libtiff3 -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/*
%doc html
%doc README COPYRIGHT
%doc %{_mandir}/man1/*

%files -n libtiff3
%defattr(-,root,root)
%doc README COPYRIGHT README.SUSE
%{_libdir}/*.so.*

%files -n libtiff-devel
%defattr(-,root,root)
/usr/include/*
%{_libdir}/*.so
%doc %{_mandir}/man3/*

%changelog
* Thu Aug 06 2009 - pgajdos@suse.cz
- fixed integer overflows [bnc#519796]
  * CVE-2009-2347.patch
* Thu Jul 02 2009 - nadvornik@suse.cz
- fixed lzw overflow CVE-2009-2285 [bnc#518698]
* Wed Feb 04 2009 - nadvornik@suse.cz
- fixed an endless loop on invalid images
  (bnc#444079) CVE-2008-1586
* Tue Aug 19 2008 - nadvornik@suse.cz
- fixed buffer overflows in LZW code (CVE-2008-2327) [bnc#414946]
* Fri Jul 27 2007 - ro@suse.de
- add provides and obsoletes for libtiff to libtiff3 package
* Thu Jul 19 2007 - nadvornik@suse.cz
- renamed libtiff to libtiff3
- do not package static libraries
- added zlib-devel to BuildRequires
* Mon Jun 12 2006 - nadvornik@suse.cz
- fixed a typo in the previous change [#179051]
* Fri Jun 02 2006 - nadvornik@suse.cz
- fixed buffer overflow in tiffsplit (CVE-2006-2656) [#179051]
- fixed buffer overflow in tiff2pdf [#179587]
* Wed Apr 12 2006 - nadvornik@suse.cz
- updated to 3.8.2 [#165237]
  * bugfix release
  * fixed several segfaults caused by incorrect tiff data
* Tue Feb 07 2006 - nadvornik@suse.cz
- fixed crash on certain tiff images CVE-2006-0405 [#145757]
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 12 2006 - nadvornik@suse.cz
- compile with -fstack-protector
* Tue Jan 03 2006 - nadvornik@suse.cz
- updated to 3.8.0:
  * Read-only support for custom directories (e.g. EXIF directory)
  * Preliminary support for MS MDI format
* Mon Oct 10 2005 - nadvornik@suse.cz
- built with -fno-strict-aliasing
* Fri Jul 15 2005 - nadvornik@suse.cz
- updated to 3.7.3
* Tue May 24 2005 - nadvornik@suse.cz
- updated to 3.7.2
- fixed 64bit bug in ppm2tiff [#85440]
- fixed buffer overflow in BitsPerSample [#82787]
* Thu Feb 17 2005 - nadvornik@suse.cz
- fixed reading of alpha channel
* Sun Jan 16 2005 - ro@suse.de
- added c++ to neededforbuild
* Fri Jan 07 2005 - nadvornik@suse.cz
- use typedef int int32 on all architectures
* Wed Jan 05 2005 - nadvornik@suse.cz
- disabled c++ API as it would add a dependency on c++ libraries
* Mon Jan 03 2005 - nadvornik@suse.cz
- updated to 3.7.1: bugfix release
* Wed Dec 15 2004 - nadvornik@suse.cz
- added README.SUSE pointing to the documentation [#48601]
- moved man3 to devel subpackage
* Fri Oct 22 2004 - nadvornik@suse.cz
- updated to 3.7.0 - security fixes are included in mainstream
* Wed Oct 20 2004 - meissner@suse.de
- Initialize ycbcrsubsampling to be not 0 in case
  of bad tiffs to avoid denial of service by divison/0.
* Tue Oct 12 2004 - nadvornik@suse.cz
- do not call TIFFTileSize with uninitialized values [#44635]
* Thu Oct 07 2004 - pmladek@suse.cz
- fixed much more buffer overflows (the older tiff-alt-bound-CheckMalloc.patch
  is included in the new libtiff-3.6.1-alt-bound.patch now) [#44635]
* Thu Sep 30 2004 - nadvornik@suse.cz
- fixed more buffer overflows [#44635]
* Tue Sep 21 2004 - nadvornik@suse.cz
- fixed multiple buffer overflows - CAN-2004-0803 [#44635]
- disabled old jpeg support because of security problems [#45116]
* Tue Aug 31 2004 - nadvornik@suse.cz
- added LZW support
* Wed Aug 25 2004 - kukuk@suse.de
- Create -devel subpackage
- Add libjpeg-devel to neededforbuild
- Avoid /bin/sh in PreRequires
* Fri Jul 02 2004 - max@suse.de
- port.h is needed as well.
* Thu May 06 2004 - max@suse.de
- Install private headers (tif_dir.h, tiffiop.h).
* Tue Apr 27 2004 - nadvornik@suse.cz
- fixed tif_fax3 from cvs [#39515]
* Mon Feb 09 2004 - nadvornik@suse.cz
- updated to 3.6.1
- fixed dangerous compiler warnings
* Sat Jan 10 2004 - adrian@suse.de
- add %%defattr and %%run_ldconfig
* Wed May 21 2003 - ro@suse.de
- remove cvs subdirs
* Sat Jul 27 2002 - kukuk@suse.de
- Provide libtiff-devel in libtiff [Bug #17260]
* Fri Jul 26 2002 - adrian@suse.de
- fix neededforbuild
* Wed Jul 03 2002 - nadvornik@suse.cz
- fixed segfault in fax2tiff [bug #16818]
- fixed size of int32 on 64bit architectures
* Wed Jun 26 2002 - ro@suse.de
- fixed directory permissions
* Wed Jun 19 2002 - nadvornik@suse.cz
- compiled with OJPEG_SUPPORT [bug #16408]
* Thu Apr 18 2002 - kukuk@suse.de
- Fix to compile on lib64 architectures
* Wed Feb 06 2002 - coolo@suse.de
- use %%_libdir
* Thu Jan 24 2002 - okir@suse.de
- Fixed a tempfile race in fax2ps
* Tue Dec 11 2001 - nadvornik@suse.cz
- updated to 3.5.7: bugfix release
* Wed May 09 2001 - mfabian@suse.de
- bzip2 sources
* Thu Mar 15 2001 - schwab@suse.de
- Fix for ia64.
* Fri May 26 2000 - bubnikv@suse.cz
- sorted
* Thu May 25 2000 - schwab@suse.de
- Fix dso configure check for ia64.
* Thu May 11 2000 - nadvornik@suse.cz
- update to 3.5.5
- added BuildRoot
* Tue Jan 25 2000 - ro@suse.de
- manpages to /usr/share using macro
* Mon Jan 03 2000 - schwab@suse.de
- Update to 3.5.4 (Y2K fix)
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Jan 13 1999 - ro@suse.de
- respect systems where libc is libc.so.6.1 (alpha)
* Wed Nov 25 1998 - ro@suse.de
- update to 3.4 (final) named 3.4.final for rpm
- moved from /usr/X11R6 to /usr
* Wed Jul 29 1998 - werner@suse.de
- Link shared libs explicit with -lc
* Tue May 12 1998 - ro@suse.de
- extracted package from libgr / build from own sources
